export const Enum = {
  User: 1,
  Dept: 2,
  Role: 3
}

/**
 * 用户数据模板
 * @param {Object} data
 * @param {Number} data.id
 * @param {String} data.name
 */
export const templateUser = (data) => {
  return {
    ...data,
    type: Enum.User,
    id: data.id,
    name: data.name,
  }
}

/**
 * 用户数据模板
 * @param {Object} data
 * @param {Number} data.id
 * @param {String} data.name
 */
export const templateDept = (data) => {
  return {
    ...data,
    type: Enum.Dept,
    id: data.id,
    name: data.name,
  }
}